export declare enum TokenState {
    TokenNone = 0,
    TokenOk = 1,
    TokenRefreshing = 2
}
export interface AccessToken {
    accessToken: string;
    refreshToken: string;
    accessExpiredAt: string;
    refreshExpiredAt: string;
    userInfo: {
        userId: string;
        nickname: string;
        avatar: string;
    };
}
export declare enum TokenEvent {
    TokenChange = 0,
    TokenRefresh = 1,
    TokenTimeout = 2
}
export interface TokenHandler {
    getState(): TokenState;
    getAccessToken(): string;
    getRefreshToken(): string;
    getToken(): AccessToken;
    setToken(token: AccessToken, noEmit?: boolean): void;
    removeToken(): void;
    tokenTimeout(): void;
    canRefresh(): boolean;
    refreshToken(): Promise<boolean>;
    subscribe(event: TokenEvent, callback: Function): Function;
}
