/// <reference types="react" />
export declare const ConfigProvider: ({ children, }: {
    children: React.ReactNode;
}) => import("react").JSX.Element;
export declare function useConfig<T = any>(key?: string): [
    T,
    (value: Partial<T> | T) => void
];
export declare function bindConfig<T>(key: string, defaultValue?: T): {
    use: () => [T, (value: T | Partial<T>) => void];
    get: () => T;
    set: (value: Partial<T>) => void;
    subscribe(fn: () => void): () => void;
    sync(initValue: T, ...values: any[]): void;
};
export declare function getConfig<T = any>(key: string): T;
export declare function setConfig<T = any>(key: string, value: T): void;
